Bug 1601428 - chronyd service does not start on installation with DISA STIG security profile
Summary: chronyd service does not start on installation with DISA STIG security profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Marek Haicman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 11:53 UTC by kimball58
Modified: 2018-10-30 11:47 UTC (History)
4 users (show)

Fixed In Version: scap-security-guide-0.1.39-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:46:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3308 None None None 2018-10-30 11:47:33 UTC

Description kimball58 2018-07-16 11:53:53 UTC
Description of problem:
Installation with DISA STIG security profile includes a misconfigured /etc/chrony.conf file which does not allow the chronyd service to start. 


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
(1) Install from installation media
-minimal load
-set network and hostname
-default partitioning
-DISA STIG security profile
(2) Set root password and create administrative user during installation (STIG profile will not allow root login at console)
(3) Reboot after installation
(4) Log in as administrative user, execute sudo -s
(5) Run "systemctl start chronyd" and review output
(6) Run "systemctl status chronyd" and review output

Actual results:
chronyd service fails to start

Expected results:
chronyd service starts


Additional info:
(1) Problem does not exist in installation with no security profile selected.
(2)Manually changing the "iburst1" parameter to "iburst" for the server entries in /etc/chrony.conf allows the service to start normally.

Comment 2 Miroslav Lichvar 2018-07-16 13:08:12 UTC
It looks like this issue:

https://github.com/OpenSCAP/scap-security-guide/issues/2551

Reassigning to openscap.

Comment 3 Matus Marhefka 2018-07-17 08:40:08 UTC
Reassigning to SSG.

Comment 4 Watson Yuuma Sato 2018-07-18 11:34:04 UTC
Indeed.
patch: https://github.com/OpenSCAP/scap-security-guide/pull/2552

Comment 6 Marek Haicman 2018-09-16 23:28:09 UTC
Verified manually on version scap-security-guide-0.1.40-5.el7

`/etc/chronyd.conf` after reboot contains these lines, and chronyd starts:

[root@localhost ~]# grep maxpoll -C3 /etc/chrony.conf 
# Use public servers from the pool.ntp.org project.
# Please consider joining the pool (http://www.pool.ntp.org/join.html).
server 0.rhel.pool.ntp.org iburst maxpoll 10
server 1.rhel.pool.ntp.org iburst maxpoll 10
server 2.rhel.pool.ntp.org iburst maxpoll 10
server 3.rhel.pool.ntp.org iburst maxpoll 10

# Record the rate at which the system clock gains/losses time.
driftfile /var/lib/chrony/drift

[root@localhost ~]# systemctl status chronyd
● chronyd.service - NTP client/server
   Loaded: loaded (/usr/lib/systemd/system/chronyd.service; enabled; vendor preset: enabled)
   Active: active (running) since Mon 2018-09-17 01:03:31 CEST; 5min ago

Comment 8 errata-xmlrpc 2018-10-30 11:46:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3308


Note You need to log in before you can comment on or make changes to this bug.